package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.BalanceDetailDTO;
import com.chelvc.cloud.vehicle.client.param.QueryMerchantBalanceParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("vehicle")
public interface BalanceDetailClient {

    @GetMapping("/balanceDetail/queryByMerchantId")
    Pagination<BalanceDetailDTO> queryByMerchantId(@SpringQueryMap QueryMerchantBalanceParam param,
                                                   @RequestParam("pageNum") Integer pageNum,
                                                   @RequestParam("pageSize") Integer pageSize,
                                                   @RequestParam("type") Integer type);
}
