package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class BalanceDetailDTO implements Serializable {

    private static final long serialVersionUID = 4117711721816177519L;

    private Long id;
    /**
     * 商家id
     */
    private Long userId;
    /**
     * 流水类型：0-收入；1-支出
     */
    private Integer type;
    /**
     * 操作类型：0-商品出售；1-用户分佣；2-商户分佣；3-平台分佣；4-提现
     */
    private Integer operateType;
    /**
     * 操作金额
     */
    private BigDecimal operateAmount;
    /**
     * 扣除金额：提现-手续费；分佣扣税
     */
    private BigDecimal deduct;
    /**
     * 实际金额
     */
    private BigDecimal realityAmount;
    /**
     * 剩余金额
     */
    private BigDecimal surplusAmount;

    private Date createTime;
}
