package com.chelvc.cloud.vehicle.client.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
/**
 * @author liude
 * @date 2024/12/24 21:45
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class Payment implements Serializable {
    /**
     * 商户编号	varchar(9)	商户在首信易系统的唯一id，可在商户后台查看	M
     */
    private String merchantId;
    /**
     * 订单号	varchar(50)	统一收单接口传入的requestid	M
     */
    private String requestId;
    /**
     * 服务商id	varchar(9)	服务商在首信易系统的唯一id，可在商户后台查看	C
     */
    private String partnerId;
    /**
     * 参数签名	varchar(500)	商户生成的参数签名结果，获取hmac的方法请参考请求加密流程	M
     */
    private String hmac;


}
