package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import com.chelvc.cloud.vehicle.client.param.*;
import com.chelvc.cloud.vehicle.server.service.AssetService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class AssetController {

    private final AssetService assetService;

    @GetMapping("/asset/merchant")
    public MerchantAssetDTO getMerchantAsset(@RequestParam("merchantId") Long merchantId) {
        return this.assetService.getMerchantAsset(merchantId);
    }

    /**
     * 提现接口
     *
     * @param param
     */
    @PutMapping("/asset/withdraw")
    public void withdrawApply(@RequestBody WithdrawParam param) {
        this.assetService.withdrawApply(param);
    }

    /**
     * 提现回调接口
     *
     * @param param
     */
    @PostMapping("/asset/withdraw/notify")
    public void withdrawNotify(@RequestBody SxyNotifyParam param) {
        this.assetService.withdrawNotify(param);
    }

    /**
     * 转账回调接口
     *
     */
    @PostMapping("/asset/transfer/notify")
    public void transferNotify(@RequestBody SxyNotifyParam param) {
        this.assetService.transferNotify(param);
    }

    /**
     * 手动转账接口
     */
    @PostMapping("/asset/transfer")
    public void transfer(@RequestBody TransferParam param){
        this.assetService.transfer(0L, param.getTargetUserId(), param.getType(), param.getAmount());
    }
}
