package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.RankAwardConfigDTO;
import com.chelvc.cloud.vehicle.client.param.AddRankAwardConfigParams;
import com.chelvc.cloud.vehicle.client.param.EditRankAwardConfigParams;
import com.chelvc.cloud.vehicle.client.param.QueryRankAwardConfigParam;
import com.chelvc.cloud.vehicle.server.service.RankAwardConfigService;
import com.chelvc.framework.common.model.Pagination;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class RankAwardConfigController {

    private final RankAwardConfigService rankAwardConfigService;

    @PostMapping("/rankAwardConfig/add")
    public void add(@RequestBody AddRankAwardConfigParams params) {
        rankAwardConfigService.add(params);
    }

    @PostMapping("/rankAwardConfig/edit")
    public void edit(@RequestBody EditRankAwardConfigParams params) {
        rankAwardConfigService.edit(params);
    }

    @DeleteMapping("/rankAwardConfig")
    public void delete(@RequestParam("id") Long id, @RequestParam("userId") Long userId) {
        rankAwardConfigService.delete(id, userId);
    }

    @GetMapping("/rankAwardConfig/queryPageList")
    public Pagination<RankAwardConfigDTO> queryPageList(QueryRankAwardConfigParam param) {
        return rankAwardConfigService.queryPageList(param);
    }
}
