package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.client.dto.GoodsAssessDto;
import com.chelvc.cloud.vehicle.client.param.AssessModifyParam;
import com.chelvc.cloud.vehicle.server.entity.GoodsAssess;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;


/**
 * @author valley
 * @date 2024/02/03 19:08
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface GoodsAssessCopier {

    GoodsAssessCopier INSTANCE = Mappers.getMapper(GoodsAssessCopier.class);

    GoodsAssess copying(AssessModifyParam param);

    @Named("entity2dto")
    GoodsAssessDto copying(GoodsAssess goodsAssess);


    @IterableMapping(qualifiedByName = "entity2dto")
    List<GoodsAssessDto> copying(Collection<GoodsAssess> goodsAssesses);

    void copying(AssessModifyParam param, @MappingTarget GoodsAssess goodsAssess);
}
