package com.chelvc.cloud.vehicle.server.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.OmsOrderItemDTO;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderItem;

/**
 * 订单中所包含的商品Service接口
 *
 * @author liude
 * @date 2023-11-08
 */
public interface OmsOrderItemService extends IService<OmsOrderItem>
{
    /**
     * 订单中添加商品
     * @param omsOrderItemList
     */
    void add(List<OmsOrderItem> omsOrderItemList);

    List<OmsOrderItem> selectByExample(OmsOrderItem omsOrderItem);

    /**
     * 返回商品信息
     * @param orderId
     * @return
     */
    List<OmsOrderItemDTO> getOrderItemByOrderId(Long orderId);

}
